# Generated by go2rpm 1
%bcond_with check

# https://github.com/golang/mod
%global goipath         golang.org/x/mod
%global forgeurl        https://github.com/golang/mod
Version:                0.4.0

%gometa

%global common_description %{expand:
This packages holds packages for writing tools that work directly with Go module
mechanics. That is, it is for direct manipulation of Go modules themselves.}

%global golicenses      LICENSE PATENTS
%global godocs          README

Name:           %{goname}
Release:        1%{?dist}
Summary:        Go module mechanics libraries
Group:          Development/Other

# Upstream license specification: BSD-3-Clause
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(golang.org/x/crypto/ed25519)
BuildRequires:  golang(golang.org/x/xerrors)

%description
%{common_description}

%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{summary}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%prep
%forgeautosetup

install -m 0755 -vd %{_builddir}/mod-%{version}/_build/bin
export GOPATH=%{_builddir}/mod-%{version}/_build:/usr/share/gocode
install -m 0755 -vd %{_builddir}/mod-%{version}/_build/src/golang.org/x
ln -fs %{_builddir}/mod-%{version} %{_builddir}/mod-%{version}/_build/src/golang.org/x/mod
rm %{_builddir}/mod-%{version}/go.mod

%build
export GOPROXY=https://goproxy.cn
for cmd in gosumcheck; do
  export GOPATH=%{_builddir}/mod-%{version}/_build:/usr/share/gocode
  %gobuild -o %{_builddir}/mod-%{version}/_build/bin/$(basename $cmd) %{goipath}/$cmd
done

%undefine _debugsource_packages

%install
%goinstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{_builddir}/mod-%{version}/_build/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
# sumdb/tlog: needs network
%gocheck -d sumdb/tlog
%endif

%files
%doc LICENSE PATENTS
%doc README
%{_bindir}/*

%files devel -f devel.file-list

%changelog
* Tue Dec 29 2020 guillomovitch <guillomovitch> 0.4.0-1.mga8
+ Revision: 1664887
- new version 0.4.0

* Fri Sep 11 2020 pterjan <pterjan> 0.3.0-3.mga8
+ Revision: 1624740
- Update to commit ce943fd02449f621243c9ea6e64098e84752b92b
+ guillomovitch <guillomovitch>
- enable zip tests now we have a newer golang-x-tools package

* Sun Aug 30 2020 guillomovitch <guillomovitch> 0.3.0-1.mga8
+ Revision: 1619893
- imported package golang-x-mod

